Set up a control plane, control plane group, and a managed cache for the group.
All control planes in the group will have access to the managed cache.
First, you need to create a hybrid control plane. The Dedicated Cloud control plane group aggregates the hybrid control plane’s configurations and passes them on to the Dedicated Cloud Gateway data plane nodes.
- In the Konnect sidebar, click API Gateway.
- Click New.
- Select New API gateway.
- Select Self-managed.
- Select Docker.
- In the Gateway name field, enter
hybrid-cp.
- Click Create.
- Scroll and click Set up later.
- Copy and export the control plane ID that you’ll configure the partial for:
export CONTROL_PLANE_ID='YOUR CONTROL PLANE ID'
You can use a Dedicated Cloud control plane group to isolate the Gateway configuration by team while still sharing a Dedicated Cloud Gateway cluster.
- In the Konnect sidebar, click API Gateway.
- Click New.
- Select New control plane group.
- In the Name field, enter
dcgw-control-plane-group.
- From the Control Planes dropdown menu, select
hybrid-cp.
- For the Node Type, select Dedicated Cloud.
- Click Save.
- Click Configure data plane.
- From the Provider dropdown menu, select “AWS”.
- From the Region dropdown menu, select the region you want to configure the cluster in.
-
Edit the Network range as needed.
Important: Your AWS virtual network must use a different IP than your network in Konnect, which is 10.0.0.0/16 by default but can be edited.
- From the Access dropdown menu, select “Public” or “Private”.
- Click Create data plane node.
-
Click Go to overview.
Important: Wait until your AWS network displays as Ready before proceeding to the next step.
- Copy and export the ID of the control plane group you want to configure the managed cache for:
export CONTROL_PLANE_GROUP_ID='YOUR CONTROL PLANE GROUP ID'
Now that you’ve configured your Dedicated Cloud control plane group, you can add a managed cache to the control plane group.
-
Create a managed cache using the Cloud Gateways add-ons API:
curl -X POST "https://global.api.konghq.com/v2/cloud-gateways/add-ons" \
--no-progress-meter --fail-with-body \
-H "Authorization: Bearer $KONNECT_TOKEN" \
--json '{
"name": "managed-cache",
"owner": {
"kind": "control-plane-group",
"control_plane_group_id": "'$CONTROL_PLANE_GROUP_ID'",
"control_plane_group_geo": "us"
},
"config": {
"kind": "managed-cache.v0",
"capacity_config": {
"kind": "tiered",
"tier": "small"
}
}
}'
When you configure a managed cache, you can select the small (~1 GiB capacity) cache size. Additional cache sizes will be supported in future updates. All regions are supported and you can configure the managed cache for multiple regions.
- Export the ID of your managed cache from the response:
export MANAGED_CACHE_ID='YOUR MANAGED CACHE ID'
-
Check the status of the managed cache. Once it’s marked as ready, it indicates the cache is ready to use:
curl -X GET "https://global.api.konghq.com/v2/cloud-gateways/add-ons/$MANAGED_CACHE_ID" \
--no-progress-meter --fail-with-body \
-H "Authorization: Bearer $KONNECT_TOKEN"
This can take about 15 minutes.